import {ExceptionCode} from "./ExceptionCode";

export class Exception extends Error {
    code!: ExceptionCode;
    description?: string;
    name = "OGC_Exception";

    constructor(code: ExceptionCode, description: string | undefined) {
        super(description);
        this.code = code;
        this.description = description;
    }
}