import {validateRequiredFields} from "./Helpers";

export class SpatialExtent {
    crs?: string[];
    bbox!: number[];

    static fromJson(jsonObj: any) {
        validateRequiredFields(jsonObj, ["bbox"], SpatialExtent.name);

        const spatialExtent = new SpatialExtent();
        spatialExtent.crs = jsonObj["crs"];
        spatialExtent.bbox = jsonObj["bbox"];
        return spatialExtent;
    }
}