import {_3DContainer} from "./_3DContainer";
import {Link} from "./Link";

export class Collections {
    links?: Link[];
    collections?: _3DContainer[];

    static fromJson(jsonObj: any): Collections {
        const collections = new Collections();
        collections.links = jsonObj["links"]?.map(Link.fromJson);
        collections.collections = jsonObj["collections"]?.map(_3DContainer.fromJson);
        return collections;
    }
}