import {validateRequiredFields} from "./Helpers";

export class Conformance {
    conformsTo!: string[];

    static fromJson(jsonObj: any): Conformance {
        validateRequiredFields(jsonObj, ["conformsTo"], Conformance.name);

        let conformance = new Conformance();
        conformance.conformsTo = jsonObj["conformsTo"];
        return conformance;
    }
}